%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-iiop-client
Version:          1.0.0
Release:          2%{?dist}
Summary:          JBoss IIOP Client
Group:            Development/Libraries
License:          LGPLv2+
URL:              http://www.jboss.org/jbossiiop

# git clone git://github.com/jbossas/jboss-iiop-client.git
# cd jboss-iiop-client/ && git archive --format=tar --prefix=jboss-iiop-client-1.0.0.Final/ 1.0.0.Final | xz > jboss-iiop-client-1.0.0.Final.tar.xz
Source0:          %{name}-%{namedversion}.tar.xz

BuildArch:        noarch

BuildRequires:    jpackage-utils
BuildRequires:    java-devel
BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    jboss-ejb-3.1-api
BuildRequires:    jboss-parent
BuildRequires:    maven-surefire-provider-junit4
BuildRequires:    junit

Requires:         jpackage-utils
Requires:         java
Requires:         jboss-ejb-3.1-api

%description
Client library for EJB applications working against JBoss AS using
the IIOP protocol

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%build
mvn-rpmbuild install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# JAR
install -pm 644 target/jboss-iiop-client-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# POM
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom %{name}.jar

# APIDOCS
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Mon Mar 19 2012 Marek Goldmann <mgoldman@redhat.com> 1.0.0-2
- Added missing BR

* Tue Mar 13 2012 Marek Goldmann <mgoldman@redhat.com> 1.0.0-1
- Initial packaging

